/*
 * This file is part of the AdvanceMAME project
 *
 * Copyright (C) 1999-2000 Andrea Mazzoleni
 *
 * The contents of this file are free for non-commercial use.
 * Any commercial use is forbidden.
 */

#ifndef __VGALINE_H
#define __VGALINE_H

#include "screen.h"

#ifdef __cplusplus
extern "C" {
#endif

int vgaline_mode_realize(vgatweak_video_mode* regs, const vgaline_video_mode* mode);
int vgaline_mode_set(vgaline_video_mode* mode);
void vgaline_mode_done(void);
int vgaline_mode_grab(vgaline_video_mode* mode);
int vgaline_mode_import(video_mode* mode);

video_error vgaline_mode_import_and_insert(video_mode_container* vmc, video_mode* mode);
void video_mode_container_insert_vgaline(video_mode_container* vmc);
void video_mode_container_insert_vgaline_only_text(video_mode_container* vmc);
void video_mode_container_insert_vgaline_only_standard(video_mode_container* vmc);
void video_mode_vgaline_print(char* s, const video_mode* mode);

#ifdef __cplusplus
}
#endif

#endif
